# Class ByteBufferOutputStream

java.lang.Object
java.io.OutputStream
org.apache.zookeeper.server.ByteBufferOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public class ByteBufferOutputStream extends OutputStream

## Constructor Summary

Constructors
Constructor
Description
`ByteBufferOutputStream(ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`record2ByteBuffer(Record record, ByteBuffer bb)`
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class OutputStream

`close, flush`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteBufferOutputStream

public ByteBufferOutputStream(ByteBuffer bb)

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(@Nonnull byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(@Nonnull byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### record2ByteBuffer

public static void record2ByteBuffer(Record record, ByteBuffer bb) throws IOException

Throws:
  `IOException`